#!/usr/bin/env python3
# -*- coding: utf-8 -*-
##################################
# AUTHOR:   p-tank
# FILE:     test.py
# CREATED:  12:53:51 13/06/2014
# MODIFIED: 12:53:51 13/06/2014
##################################

import sys
import re
import copy

sys.path.append("../stalker42")

from stalker import Stalker42
import main

f = open('intra.html', 'r')
intra = f.read()
f.close()
stalker = Stalker42()

old_list = [{'mail': 'Not found', 'name': 'me', 'place': 'Not found', 'project': None, 'tel': 'Not found', 'status': "creator"},
            {'mail': 'Not found', 'name': 'somebody', 'place': 'e1r6p21', 'project': None, 'tel': 'Not found', 'status': 'student'},
            {'mail': 'Not found', 'name': 'stud', 'place': 'Not found', 'project': None, 'tel': 'Not found', 'status': 'student'},
            {'mail': 'Not found', 'name': 'noob', 'place': 'Not found', 'project': None, 'tel': 'Not found', 'status': 'swimmer'}]
new_list = copy.deepcopy(old_list)
new_list[0]['place'] = "behind computer"
new_list[1]['place'] = "Not found"
new_list[3]['place'] = "pool"

def print_res(res):
    if not res:
        print("Anyway nobody found")
        return
    for name in res:
        print(name['name'])
        print(name['place'])
        print(name['tel'])
        print(name['mail'])
        print(name['project'])

def test_corrector(intra=intra, stalker=stalker):
    stalker.intra = intra
    print_res(stalker.findCorrector())

def test_notify(old_list=old_list, new_list=new_list):
    main.notify_place(old_list, new_list)
